function onBegin()
  makeUnskippable()
  disableRetry()
  disableMovement()

  say("edroom2")
  wait(0.5)
  walk(-50,false,1,false)
  wait(0.4)
  walk(34,false,1,false)
  wait(0.4)
  walk(-18,false,1,false)
  wait(0.4)
  walk(32,false,1,false)
  wait(0.4)
  walk(-34,false,1,false)
  wait(0.4)
  walk(-160,false,1,false)

  enableMovement()
  enableRetry()
  endCutscene()
end